

import javax.swing.JTabbedPane;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.util.*;
import javax.swing.*;
import java.awt.image.*;
import java.io.*;
import java.net.URL;

public class tabbedPane extends JPanel {
    
    public tabbedPane() {
    
        JTabbedPane tabbedPane = new JTabbedPane();
    
		
		JPanel logoPanel1 = createGenericImagePanel("page1.jpg");
	    tabbedPane.addTab("Page1", null, logoPanel1);
        JPanel logoPanel2 = createGenericImagePanel("page2.jpg");
        tabbedPane.addTab("Page2", null, logoPanel2);
        JPanel logoPanel3 = createGenericImagePanel("page3.jpg");
        tabbedPane.addTab("Page3", null, logoPanel3);
        JPanel logoPanel4 = createGenericImagePanel("page4.jpg");
        tabbedPane.addTab("Page4", null, logoPanel4);
        
        tabbedPane.setSelectedIndex(0);

        //Add the tabbed pane to this panel.
        setLayout(new GridLayout(1, 1)); 
        add(tabbedPane);
    }
    
    /**
	 * create generic instructions panel
	 */
	JPanel createGenericImagePanel(String filename) 
	{
		JPanel p = new JPanel();
		p.setLayout(new BorderLayout());
		URL url = getClass().getResource(filename);
		ImageIcon logo = new ImageIcon(url);
		JLabel logoLabel = new JLabel(logo);
		logoLabel.getAccessibleContext().setAccessibleName("Swing!");
		p.add(logoLabel, BorderLayout.CENTER);
		return p;
	}
    
    public ImageIcon loadImageIcon(String filename, String description) 
	{
		
			return new ImageIcon(filename, description);
		
	}
	
   
    public static void main(String[] args) {
        JFrame frame = new JFrame("apparent Motion information");
        frame.addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {System.exit(0);}
	    });
	
        frame.getContentPane().add(new tabbedPane(), 
                                   BorderLayout.CENTER);
        frame.setSize(800, 580);
        frame.setVisible(true);
    }
}
